<?php

namespace KupShop\GTMOldBundle\PageType;

use KupShop\ContentBundle\View\NewsletterUnsubscribeView;

class NewsletterUnsubscribePageType extends AbstractPageType
{
    /** @var NewsletterUnsubscribeView */
    protected $view;

    public function getPageData(&$dataContainer)
    {
    }

    public function getPageType(&$dataContainer)
    {
        $dataContainer->page->type = 'newsletterUnsubscribe';
    }

    public static function getSupportedViews()
    {
        return [NewsletterUnsubscribeView::class];
    }

    public function getTagParamsData(&$dataContainer)
    {
        $dataContainer->google_tag_params->ecomm_pagetype = 'other';
    }
}
